import request from '@/utils/request'

// 查询物资使用说明列表
export function listInstructions(query) {
  return request({
    url: '/iscs/instructions/getIsMaterialsInstructionsPage',
    method: 'get',
    params: query
  })
}


// 查询物资使用说明详细
export function getInstructionsInfo(deptId) {
  return request({
    url: '/iscs/instructions/selectIsMaterialsInstructionsById?instructionsId=' + deptId,
    method: 'get'
  })
}


// 新增物资使用说明
export function addInstructions(data) {
  return request({
    url: '/iscs/instructions/insertIsMaterialsInstructions',
    method: 'post',
    data: data
  })
}

// 修改物资使用说明
export function updateInstructions(data) {
  return request({
    url: '/iscs/instructions/updateIsMaterialsInstructions',
    method: 'post',
    data: data
  })
}

// 删除物资使用说明
export function delInstructions(deptId) {
  return request({
    url: '/iscs/instructions/deleteIsMaterialsInstructionsByInstructionsIds?instructionsIds=' + deptId,
    method: 'post'
  })
}

